var token=$('.token').val();
var proxyOrgId = $('.proxyOrgId').val();
//点击 条件后，同级别的去掉hover，只有当前的加hover

var status_s = [];//默认交易状态
var sellType = [];//默认专利状态
var patentTypeId = [];//默认专利类型

var patentRemarkColumns =[];//默认技术领域
var keyword = '';
var addDateSort = '';
var priceSort = '';  // 价格排序
var selectMOre = '0';//默认技术领域单选
var pageSize=$('.search_limit').val();
var homeIndexRemarkColumns='${search.homeIndexRemarkColumns}';
var page=1;
var countPage=1;
var count = '';
var priceBegin="";
var priceEnd="";
var bargain = "0";//0不议价  1 议价
var exportRemarkColumns=[];
var patentTypeAndSells=[];
var newestAddDateSort = "";
var remarkColumnInit=$("#remarkColumnInit").val();
var patentTypeIdInit=$("#patentTypeIdInit").val();
var keywordTemp=$("#keywordInit").val();
var brandRange = $("#searchCondition_brandRange").val() + '';
var visitorId = '';

initFingerprintJS()
function initFingerprintJS() {
    FingerprintJS.load().then(function (fp) {
        fp.get().then(function (result) {
            visitorId = result.visitorId;
            getDataList();
            countBookedGood();
        })
    });
}

var vum=new Vue({
    el: "#app",
    data: {
        message:"",
        datas:"",
        tableShow:false,
        page:1,
        token:token,
        proxyOrgId:proxyOrgId,
        pageSize:''
    },
    components: {
        elCarouselComponent: elCarouselComponent,
    },
    methods:{
        showData:function () {
            getDataList();
        }
    }

});

initCategoryIds();
initPriceSort();
initBrandRange();
countBrandList();

function getDataList(){
    vum.datas=[];
    $('.loading_img').show();
    $('#product-list').hide();
    $.ajax({
        url:"/brand/listData",
        type: "POST",
        cache:false,
        data: {
            'categoryIds' : encodeURI(patentRemarkColumns.join(',')),
            'createTimeSort':addDateSort,
            'keyword':encodeURI($.trim($("input[name='listKeyword']").val())),
            'page.currentPage':	page,
            'page.pageSize':pageSize,
            'priceSort' :priceSort,
            'priceBegin':priceBegin,
            'priceEnd':priceEnd,
            'bargain':bargain,
            'token':token,
            'brandRange':brandRange,
            'transactionStatus' : status_s.join(','),
            'mark':visitorId
        },
        success: function (res) {
            if (res.code == 0) {
                var data=res.data;
                vum.datas=  data.brandList;
                vum.page = page;
                vum.pageSize =  pageSize;
                vum.datas=  data.brandList;
                count = data.brandCount;
                if(res.data.brandCount==0){
                    $('#y-pageinfo').hide();
                }else{
                    $('#y-pageinfo').show();
                    layui.use(['laypage', 'layer'], function () {
                        var laypage = layui.laypage;
                        laypage.render({
                            elem: 'y-pageinfo'
                            , count: res.data.brandCount
                            ,prev:'<'
                            ,next:'>'
                            ,first:'首页'
                            ,last:'尾页'
                            ,groups:3
                            ,curr:page
                            ,limit:pageSize
                            ,limits:[100,200,500,1000]
                            , layout: ['count', 'prev', 'page', 'next', 'limit']
                            , jump: function (obj,first) {
                                page=obj.curr;
                                pageSize=obj.limit;
                                //首次不执行
                                if(!first){
                                    getDataList()
                                }
                            }
                        });
                    });
                }

                $(".pageSizeSelect").val(pageSize);
                searchCondition = data.searchCondition;
                if(data.brandList.length>0){
                    $('.loading_img').hide();
                    $('#product-list').show();
                    $('.d_default').hide();
                    $(".d_fenye").show();
                }else{
                    $('.loading_img').hide();
                    $('.d_default').show();
                    $(".d_fenye").hide();
                }
            } else {
                $('#y-pageinfo').hide();
                $('.loading_img').hide();
                $('.d_default').show();
                $(".d_fenye").hide();
            }
            $("#pageText").val("");
            $('.d-pages-n').val('');
        }
    })
}
function initCategoryIds() {
    var categoryIdList = $(".hiddenValue").find(".categoryIdInit");
    var categoryIdStr = "";
    for (var i = 0; i < categoryIdList.length; i++) {
        patentRemarkColumns.push(categoryIdList[i].value);
        $(".jishu-opt li").each(function(index,element){
            var indus = $(this).attr('data-industry');
            var datanum = $(this).attr('data-num');
            if(indus==categoryIdList[i].value){
                $(".first_condition .buxian").removeClass("active");
                $(this).addClass('active');
            }
        });
    }
}

function initPriceSort() {
    priceSort = $(".hiddenValue").find(".priceSortInit").val();
    if(priceSort == '1'){
        $('.z-order').removeClass('active');
        $('.time-order').removeClass('active');
        $('.price-order').addClass('active');
        $('.price-order').addClass('top');
    }
}


//初始化专利范围
function initBrandRange() {
    var brandRange = $("#searchCondition_brandRange").val()
    $(".third_condition .buxian").addClass("active");
    $(".d_patRange li").removeClass('active');
    $(".d_patRange li").each(function(){
        if(brandRange==1){
            //1精品商标
            $(".third_condition .buxian").removeClass("active");
            $(".d_patRange li:nth-child(1)").addClass('active');
        }else if(brandRange==0){
            //0全网商标
            $(".third_condition .buxian").removeClass("active");
            $(".d_patRange li:nth-child(2)").addClass('active');
        }
    });
}

//统计商标数量
function countBrandList() {
    $.ajax({
        url: "/brand/countBrand/"+token,
        type: 'get',
        dataType: 'json',
        success: function(res) {
            var map = res.data;
            $(".selfBrandCount").html(map.selfBrandCount);
            $(".allBrandCount").html(map.allBrandCount);
        },
        error: function() {

        }
    });
}


$(window).resize(function() {
    $('.d_cexin').height($(window).height());
});
$(document).ready(function () {
    $(window).resize();

    $(".keyword").focus(function(){
        $(this).css("border", "solid 1px #9C002D");
        $(this).attr("placeholder", "");
    });
    $(".keyword").blur(function(){
        $(this).css("border", "solid 1px #999999");
        $(this).attr("placeholder", "名称/注册号/类似群组/商品列表");
    });
});

function getColorNum(index) {
    var num = index % 4;
    return num;
}

$('.goodsCondition .buxian').on("click", function() {
    var dataName = '';
    dataType = $(this).attr('data-name');
    if (dataType == 'industry') {
        $(".first_condition .jishu-opt ul li").removeClass("active");
        patentRemarkColumns=[];
        if(!$(this).hasClass("active")) {
            $(this).addClass("active");
        }
    } else if(dataType == 'patRange') {
        $(".third_condition .filter-select ul li").removeClass("active");
        brandRange='';
        if(!$(this).hasClass("active")){
            $(this).addClass("active");
        }
    } else if(dataType == 'patPrice') {
        $(".fore_condition .filter-select ul li").removeClass("active");
        priceBegin="";
        priceEnd="";
        bargain = "0";//0不议价  1 议价
        if(!$(this).hasClass("active")){
            $(this).addClass("active");
        }
    }
    page = 1;
    topKeyword="";
    status_s=[];
    $("#brand_keyword").val('');
    getDataList();
})


$('.filter-select ul li').on("click", function() {

    topKeyword = "";
    var dataName = '';
    dataType=$(this).parents('.filter-select')[0].getAttribute('data-name');
    if (dataType == 'industry') {
        if ($(this).hasClass("active")) {
            $(this).removeClass("active");
            patentRemarkColumns.splice($.inArray($(this)[0].getAttribute('data-industry'),patentRemarkColumns),1);
            if (!$(this).siblings().hasClass("active")) {
                $(".first_condition .buxian").addClass("active");
            }
        } else {
            $(this).addClass('active');
            $(".first_condition .buxian").removeClass("active");
            patentRemarkColumns.push($(this)[0].getAttribute('data-industry'));
        }
    } else {
        dataType = $(this).parents('.filter-select')[0].getAttribute('data-name');
        var dataValue = '';
        var selectText = $(this).html();
        var selectArr = $(this)[0].getAttribute("data-pattype");
        var nes = '';
        if (dataType == 'patRange') {
            if ($(this).hasClass("active")) {
                $(".d_patRange li").removeClass('active');
                if(!$(this).siblings().hasClass("active")){
                    $(".third_condition .buxian").addClass("active");
                }
                brandRange='';
            } else {
                $(".d_patRange li").removeClass('active');
                $(this).addClass('active');
                $(".third_condition .buxian").removeClass("active");
                brandRange = $(this)[0].getAttribute('data-patRange');
            }
        } else if(dataType == 'patPrice') {

            if(!$(this).hasClass("active")){
                $(".fore_condition .buxian").removeClass("active");
                $(".fore_condition .filter-select li").removeClass("active");
                $(this).addClass("active");
                dataName = 'data-patPrice';
                selectText = $(this).html();
                selectArr = $(this)[0].getAttribute("data-patprice");
                if ($(this)[0].getAttribute("data-patprice") == 1) {
                    priceBegin="";
                    priceEnd="";
                    bargain="1";
                } else if ($(this)[0].getAttribute("data-patprice") == 2) {
                    priceBegin="0";
                    priceEnd="1000";
                    bargain="0";
                } else if ($(this)[0].getAttribute("data-patprice") == 3) {
                    priceBegin="1000";
                    priceEnd="2000";
                    bargain = "0";
                } else if ($(this)[0].getAttribute("data-patprice") == 4) {
                    priceBegin="2000";
                    priceEnd="5000";
                    bargain = "0";
                } else if ($(this)[0].getAttribute("data-patprice") == 5) {
                    priceBegin="5000";
                    priceEnd="10000";
                    bargain = "0";
                } else if ($(this)[0].getAttribute("data-patprice") == 6) {
                    priceBegin="10000";
                    priceEnd="30000";
                    bargain = "0";
                } else if ($(this)[0].getAttribute("data-patprice") == 7) {
                    priceBegin="30000";
                    priceEnd="";
                    bargain = "0";
                }
                $('#patSumArea-1').val("");
                $('#patSumArea-2').val("");
                $('.btns-li').hide();
            }else{
                $(this).removeClass("active");
                $(".fore_condition .buxian").addClass("active");
                priceBegin="";
                priceEnd="";
                bargain = "0";//0不议价  1 议价
            }
        }
    }
    page=1;
    topKeyword="";
    $("#brand_keyword").val('');
    status_s=[];
    getDataList();
});

//发布时间排序 升降序
$('.time-order').on("click", function() {
    if($(this).hasClass('top')){
        $('.time-order').removeClass('top');
        $('.time-order').addClass('down');
        addDateSort='0';
    }else{
        $('.time-order').removeClass('down');
        $('.time-order').addClass('top');
        addDateSort='1';
    }
    $('.z-order').removeClass('active');
    if($('.price-order').hasClass('down')){
        $('.price-order').removeClass('down');
    }else{
        $('.price-order').removeClass('top');
    }
    priceSort='';
    page=1;
    getDataList();
});
//价格排序
$('.price-order').on("click", function() {
    if ($(this).hasClass('top')) {
        $('.price-order').removeClass('top');
        $('.price-order').addClass('down');
        priceSort='0';
    } else {
        $('.price-order').removeClass('down');
        $('.price-order').addClass('top');
        priceSort='1';
    }
    $('.z-order').removeClass('active');
    if ($('.time-order').hasClass('down')) {
        $('.time-order').removeClass('down');
    } else {
        $('.time-order').removeClass('top');
    }
    addDateSort="";
    page=1;
    getDataList();
});

//综合排序 清除排序内容
$('.z-order').on("click", function() {
    if ($('.time-order').hasClass('down')) {
        $('.time-order').removeClass('down');
    } else {
        $('.time-order').removeClass('top');
    }
    if ($('.price-order').hasClass('down')) {
        $('.price-order').removeClass('down');
    } else {
        $('.price-order').removeClass('top');
    }
    $('.z-order').addClass('active');
    addDateSort="";
    priceSort="";
    page=1;
    getDataList();
});

$('.btnCancel').on("click", function(){
    $('#patSumArea-1').val("");
    $('#patSumArea-2').val("");
});


function showPriceConfirm() {
    $('.btns-li').show();
}

//搜索
function getSearch() {
    $("#brand_keyword").val('');
    topKeyword="";
    reSetSelect();
    keyword=$("input[name='listKeyword']").val();
    page=1;
    getDataList();
}

$("input[name='listKeyword']").keypress(function (e) {
    if (e.which == 13) {
        getSearch();
        return false;
    }
});

function reSetSelect(){
    status_s = [];//默认交易状态
    patentRemarkColumns =[];//默认技术领域
    exportRemarkColumns=[];//记录技术领域供导出使用
    keyword = '';
    addDateSort = '';
    priceSort = '';  // 价格排序
    page=1;
    countPage=1;//总页数
    priceBegin="";
    priceEnd="";
    bargain = "0";//0不议价  1 议价
    brandRange='';

    $('.filter-select ul li').removeClass('active');
    $('.buxian').addClass('active');
    if($('.time-order').hasClass('down')){
        $('.time-order').removeClass('down');
    }else{
        $('.time-order').removeClass('top');
    }
    if($('.price-order').hasClass('down')){
        $('.price-order').removeClass('down');
    }else{
        $('.price-order').removeClass('top');
    }
    $('.z-order').addClass('active');
}



//修改每页大小
$('.pageSizeSelect').change(function(){
    pageSize = $(this).val();
    $('.pageSizeSelect').val(pageSize);
    page=1;
    $.ajax({
        url: "<s:url value='/user/setPageSize.html'/>?pageSize=" + pageSize,
        type: 'get',
        async:false,
        success: function() {

        }
    });
    getDataList();
});

function allBrands(){
    reSetSelect();
    keyword='';
    page = 1;
    topKeyword = "";
    $("input[name='listKeyword']").val('');
    $("input[id='brand_keyword']").val('');
    getDataList();
    $(".time-order").removeClass('top');
    $(".time-order").removeClass('down');
    $(".price-order").removeClass('top');
    $(".price-order").removeClass('down');
    $(".z-order").addClass('active');
}

function exportAllList(){
    var iframe = document.getElementById('brandExcelFileFrame');
    iframe.src = "/brand/exportAllSelfBrands?token="+token;
}

function exportSearchList(){
    var iframe = document.getElementById('brandExcelFileFrame');
    iframe.src = "/brand/exportGoodList?token="+token+"&categoryIds=" + patentRemarkColumns.join(',') +
        "&keyword=" + encodeURIComponent($.trim($("input[name='listKeyword']").val())) + "&createTimeSort=" + addDateSort + "&priceSort=" + priceSort + "&priceBegin=" + priceBegin +
        "&priceEnd=" + priceEnd + "&bargain=" + bargain +"&page.currentPage=1&page.pageSize=" + count+"&brandRange="+brandRange;
}

// 统计已预订的
function countBookedGood() {
    $.ajax({
        url: "/brand/countBookedGoodNum",
        type: 'get',
        cache: false,
        success: function(data) {
            $(".booked-count").html(data.data);
        }
    });
}

function bookedBrands(){
    reSetSelect();
    keyword='';
    page = 1;
    status_s = [2];
    topKeyword = "";
    $("input[name='listKeyword']").val('');
    $("input[id='brand_keyword']").val('');
    getDataList();
    $(".time-order").removeClass('top');
    $(".time-order").removeClass('down');
    $(".price-order").removeClass('top');
    $(".price-order").removeClass('down');
    $(".z-order").addClass('active');
    countBookedGood();
}

$(window).scroll(function() {
    var scrollt = $(window).scrollTop();
    if(scrollt<=320){
        $('.search-box').removeClass('hover');
    }else if(scrollt>330){
        $('.search-box').addClass('hover');

    }

});

countFollowedBrand();
function countFollowedBrand() {
    $.ajax({
        url: "/brand/countFollowedBrandNum/"+token,
        type: 'get',
        cache: false,
        success: function(res) {
            if (res.code == 0) {
                $(".follow-count").html(res.data);
            }
        }
    });
}

//关注商标
$('body').on("click", ".d_b_follow",function () {
    var _this = $(this);
    var brandId = _this.attr('brandId');
    var indexId = _this.attr('indexId');
    _this.css("pointer-events", "none");
    $.ajax({
        url: "/brand/followBrand/"+token,
        type: 'get',
        cache: false,
        data: {'brandId':brandId},
        dataType: 'json',
        success: function(res) {
            if (res.code == 0) {
                vum.datas[indexId].userFollowFlag = res.data.userFollowFlag;
                vum.datas[indexId].followCount = res.data.followCount;
                $(".follow-count").html(res.data.allFollowCount);
            } else if (res.code == 300) {
                goToPcmLogin();
            } else {
                showMsgDialog('关注商标', res.msg)
            }
            _this.css("pointer-events", "auto");
        },
        error: function(){
            _this.css("pointer-events", "auto");
        }
    });
});

// 关注商标
$('body').on("click", ".nologin_d_b_follow",function () {
    $.ajax({
        type: 'GET',
        url: '/checkLogin',
        cache: false,
        success: function (res) {
            if (res.code === 0) {
                location.reload();
            } else {
                goToPcmLogin();
            }
        }
    });
});

